 /*
 * Asterisk -- A telephony toolkit for Linux.
 *
 * MWI Task/Event System
 * 
 * Copyright (C) 2004, Michael Shuler
 * Michael Shuler <mike@bwsys.net>
 *
 * based on code by:
 * Mark Spencer <markster@linux-support.net>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License.
 *
 */

/*  Define this if you are using the ast_data patch for realtime carrier scalability for Asterisk */
/* #define MWI_AST_DATA */

/*--- MWI Data Type ---*/
struct mwi 
{
        char mailbox[AST_MAX_EXTENSION];
        int newmsgs;
	int oldmsgs;
        struct mwi *nextmwi;
};

/* MWI Functions */
extern inline struct mwi *mwi_gettask(void);
extern inline int mwi_addtask(char *mailbox, int newmsgs, int oldmsgs);
extern inline int mwi_deltask(void);
extern inline void mwi_init(void);
extern inline void mwi_setwait(int cycles);
extern inline int mwi_getanddecwait(void);
